Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I have a VMWare image supplied by my Phone system provider which manages a contact management interface, they tell me that VMWare ESXi 5.0 is the highest supported host.

I'm used to MS HyperV and have no VMWare experiance.

At present I have this guest running on a simple desktop PC running ESXi 5.0.0, I'd ideally like to run this guest (it's Windows 7 with their software already installed and configured) on a Windows 2008R2 server I have available, as I said, I'm used to HyperV and I can't easily identify if there is a version of VMWare that supports ESXi 5.0 guests that will run on a Windows 2008 R2 server host.

Is there such a product, what's it called, and with one guest can I run it without purchasing a license?

Thanks

share|improve this question

3 Answers 3

up vote 2 down vote accepted

You could try to run it with VMWare Player. It's a free, limited version of VMWare Workstation. Also, if you are running Hyper-V, look into this technet article outlining the conversion from VMWare to Hyper-V guests.

share|improve this answer
    
Thanks, I have tried a conversion to HyperV, it converted fine and runs, however the software on the host activly refuses to start saying "Unsupported platform" when run on Hyper V. –  Great Big Al Nov 8 '13 at 10:25
    
Thanks, installed VMWare player (older v5) and moved device from the PC to my server, very happy thanks –  Great Big Al Nov 8 '13 at 14:34

Technically, it is possible to run ESXi within a Hyper-V environment if your hardware supports SLAT/RVI/EPT (which should be the case with virtually any recent hardware build).

The trouble is that such a configuration would be completely unsupported (not only is ESXi an unsupported guest in Hyper-V but also Hyper-V is an unsupported environment for ESXi) plus you would need to feed the Tulip network driver (this is what Hyper-V emulates as the "legacy network adapter") to ESXi as it is not present with the vanilla install.

People actually have tried that and even succeeded, but at the present time you would not find anyone actually recommending you to run such a configuration for a virtual appliance.

So your options here narrow down to:

  • continue running the ESXi 5.0 host on physical hardware until ESXi nested is supported under Hyper-V
  • continue running the ESXi 5.0 host on physical hardware until your virtual appliance is supported to run under Hyper-V
share|improve this answer

It's odd that it requires 5.0 because there weren't that many core changes between 5.0 and 5.5 aside from some additional features.

ESXi is what's called a "bare metal" hypervisor, which basically means it has to be installed as an OS and your guests run on top of it. Starting with 5.0, VMWare offers a free license that restricts the host to 32 GB of RAM.

share|improve this answer
    
I agree, but the Phone System engineer has anecdotal evidence from other users that the software doens't work as expected on 5.1 and above... so rather than upset the apple cart, I'll try and keep him happy :-) –  Great Big Al Nov 8 '13 at 12:38
1  
You should be able to obtain 5.0 and use it, but it does have to be its own OS. –  Nathan C Nov 8 '13 at 12:48

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.